Name: openmoko_dfu-util
Version: svn4629
Release: alt0.1
%define utilname dfu-util

Summary:dfu-util is a program that implements the Host (PC) side of the USB DFU (Universal Serial Bus Device Firmware Upgrade) protocol.In the Openmoko project, this program uses to communicate with specially enhanced u-boot boot loader, which implements the DFU device side.
Group:File tools
License: GPL 
URL: http://wiki.openmoko.org/wiki/Dfu-util
Packager: Sergey Alembekov <rt@altlinux.ru>
Source: %name.tar
#Requires: 
BuildRequires: libusb-devel
Provides: %utilname

%description
dfu-util is a program that implements the Host (PC) side of the USB DFU (Universal Serial Bus Device Firmware Upgrade) protocol.
In the Openmoko project, this program uses to communicate with specially enhanced u-boot boot loader, which implements the DFU device side.
Using dfu-util and your smartphone, you can
 * transfer and flash partitions in internal NAND Flash.
 * transfer anything into RAM (this can be used for fast development cycles of low-level code such as kernels without flashing them)
 * read out the current internal NAND partitions (this is an easy and efficient way of doing full backups of your phone)



%prep
%setup -n %name 

%build
./autogen.sh
./configure
make


%install
%__mkdir -p %buildroot%_sbindir
%__install -p -m755 src/%utilname %buildroot%_sbindir

%files
%_sbindir/%utilname

%changelog
* Mon Sep 29 2008 Sergey Alembekov <rt@altlinux.ru> svn4629-alt0.1
- initial build for ALTLinux
